mma_base.h File Reference

Template for a double-buffered threadblock-scoped GEMM kernel. More...

`#include "cutlass/aligned_buffer.h"`
`#include "cutlass/arch/memory.h"`
`#include "cutlass/array.h"`
`#include "cutlass/cutlass.h"`
`#include "cutlass/gemm/gemm.h"`
`#include "cutlass/matrix_shape.h"`
`#include "cutlass/numeric_types.h"`
Include dependency graph for mma_base.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | cutlass::gemm::threadblock::MmaPolicy< Operator_, SmemPaddingA_, SmemPaddingB_, PartitionsK >
| Policy object describing MmaTensorOp. More...
class | cutlass::gemm::threadblock::MmaBase< Shape_, Policy_, Stages, Enable >
class | cutlass::gemm::threadblock::MmaBase< Shape_, Policy_, Stages, Enable >::SharedStorage
| Shared storage object needed by threadblock-scoped GEMM. More...

## Namespaces

| cutlass
| cutlass::gemm
| cutlass::gemm::threadblock